<script setup>
import Sidebar from '../components/dashboard/Sidebar.vue'
import Navbar from '../components/dashboard/Navbar.vue'
import AdsTable from '../components/dashboard/AdsTable.vue'
import AgenciesTable from '../components/dashboard/AgenciesTable.vue'
import CategoriesTable from '../components/dashboard/CategoriesTable.vue'
import MyAdsTable from '../components/dashboard/MyAdsTable.vue'
import ProfileInfos from '../components/dashboard/ProfileInfos.vue'
import RolesTable from '../components/dashboard/RolesTable.vue'
import StatusTable from '../components/dashboard/StatusTable.vue'
import TypesTable from '../components/dashboard/TypesTable.vue'
import UsersTable from '../components/dashboard/UsersTable.vue'
import Dropdown from '../components/Dropdown.vue'
import { useThemeStore } from "../stores/theme";

const themeStore = useThemeStore();

</script>

<template>
  <div :class="themeStore.leftHanded ? 'flex-row-reverse' : '', themeStore.dark ? 'bg-gray-900' : 'bg-gray-100'" class="flex h-full">
    <Sidebar/>
    <div class="flex-auto overflow-y-auto md:pt-12">
      <div class="w-screen md:w-full p-1">
        <div class="rounded p-2">

          <AdsTable v-if="$route.name === 'ads'"/>
          <AgenciesTable v-if="$route.name === 'agencies'"/>
          <CategoriesTable v-if="$route.name === 'categories'"/>
          <MyAdsTable v-if="$route.name === 'myAds'"/>
          <ProfileInfos v-if="$route.name === 'profile'"/>
          <RolesTable v-if="$route.name === 'roles'"/>
          <StatusTable v-if="$route.name === 'status'"/>
          <TypesTable v-if="$route.name === 'types'"/>
          <UsersTable v-if="$route.name === 'users'"/>





<!--            <Dropdown-->
<!--                title="dropdown"-->
<!--                :items="[-->
<!--              {name: 'james', link: 'https://google.fr'},-->
<!--              {name: 'james', link: 'smith'},-->
<!--              {name: 'james', link: 'smith'},-->
<!--              {name: 'james', link: 'smith'},-->
<!--              {name: 'james', link: 'smith'},-->
<!--          ]"-->
        </div>
      </div>

    </div>
  </div>
  <Navbar/>
</template>

<style>

</style>
